import request from "@/utils/request.js";

/**
 * 登录
 * @param {FormData}
 * @returns {AxiosPromise}
 */
export function login(data) {
  return request({
    url: "/login",
    method: "POST",
    data,
  });
}
/**
 * 活动列表
 * @param {}
 * @returns {AxiosPromise}
 */
export function gethd(data) {
  return request({
    url: "/activity/list",
    method: "POST",
    data,
  });
}
/**
 * 活动删除
 * @param {activityId}
 * @returns {AxiosPromise}
 */
export function removehd(data) {
  return request({
    url: "/activity/delete",
    method: "POST",
    data,
  });
}
/**
 * 活动添加
 * @param {name}
 * @returns {AxiosPromise}
 */
export function addhd(data) {
  return request({
    url: "/activity/add",
    method: "POST",
    data,
  });
}

/**
 * 话题列表
 * @param {activityId}
 * @returns {AxiosPromise}
 */
export function getht(data) {
  return request({
    url: "/topic/list",
    method: "POST",
    data,
  });
}
/**
 * 话题删除
 * @param {topicId}
 * @returns {AxiosPromise}
 */
export function removeht(data) {
  return request({
    url: "/topic/delete",
    method: "POST",
    data,
  });
}
/**
 * 话题添加
 * @param {activityId, nameList}
 * @returns {AxiosPromise}
 */
export function addht(data) {
  return request({
    url: "/topic/add",
    method: "POST",
    data,
  });
}

/**
 * 平台数据
 * @param topic
 * @returns {AxiosPromise}
 */
export function platformData(data) {
  return request({
    url: "/topic/overview?topic=" + data,
    method: "GET",
  });
}

/**
 * 趋势数据
 * @param topic
 * @returns {AxiosPromise}
 */
export function qushiData(data) {
  return request({
    url: "/topic/history?topic=" + data,
    method: "GET",
  });
}

/**
 * 部门传播数据
 * @param {activityId, nameList}
 * @returns {AxiosPromise}
 */
export function bumenData(data) {
  return request({
    url: "/topic/read",
    method: "POST",
    data
  });
}

/**
 * 平台数据
 * @param {}
 * @returns {AxiosPromise}
 */
export function pingtaiData(data) {
  return request({
    url: "/topic/dep-platform",
    method: "POST",
    data
  });
}

/**
 * 账号数据
 * @param {}
 * @returns {AxiosPromise}
 */
export function zhanghaoData(data) {
  return request({
    url: "/topic/detail",
    method: "POST",
    data
  });
}

/**
 * 部门数据
 * @param {}
 * @returns {AxiosPromise}
 */
export function bumenList() {
  return request({
    url: "/topic/dep-dict",
    method: "GET",
  });
}
